> For the complete documentation index, see [llms.txt](https://docs.allganize.ai/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allganize.ai/api-reference/korean/rag.md).

# RAG

Knowledge base node related APIs

## 하이라이트 받기

> Retrieve bounding box coordinates for answer highlights in a knowledge base document page.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"HighlightResponse":{"properties":{"bboxes":{"items":{"$ref":"#/components/schemas/BboxResponse"},"title":"Bboxes","type":"array"},"type":{"$ref":"#/components/schemas/AnswerType"}},"required":["bboxes","type"],"title":"HighlightResponse","type":"object"},"BboxResponse":{"properties":{"left":{"title":"Left","type":"number"},"top":{"title":"Top","type":"number"},"right":{"title":"Right","type":"number"},"bottom":{"title":"Bottom","type":"number"}},"required":["left","top","right","bottom"],"title":"BboxResponse","type":"object"},"AnswerType":{"description":"다양한 유형의 답변을 표현하기 위해 정의된 열거형","enum":["PARAGRAPH","TABLE","IMAGE"],"title":"AnswerType","type":"string"}}},"paths":{"/webapi/v2/highlights/{clue_id}":{"get":{"operationId":"django_server_rag_views_rest_answer_highlight_api_get_highlight","summary":"하이라이트 받기","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"clue_id","schema":{"title":"Clue Id","type":"string"},"required":true}],"responses":{"200":{"description":"확인","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HighlightResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Retrieve bounding box coordinates for answer highlights in a knowledge base document page.","tags":["RAG"]}}}}
```

## Highlight Retrieval Result

> Return highlight bboxes for a single Retrieval result resolved straight from the retrieved page chunk (kbId + pageNo + subTextIndex), without a generative-answer clue id.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"HighlightResponse":{"properties":{"bboxes":{"items":{"$ref":"#/components/schemas/BboxResponse"},"title":"Bboxes","type":"array"},"type":{"$ref":"#/components/schemas/AnswerType"}},"required":["bboxes","type"],"title":"HighlightResponse","type":"object"},"BboxResponse":{"properties":{"left":{"title":"Left","type":"number"},"top":{"title":"Top","type":"number"},"right":{"title":"Right","type":"number"},"bottom":{"title":"Bottom","type":"number"}},"required":["left","top","right","bottom"],"title":"BboxResponse","type":"object"},"AnswerType":{"description":"다양한 유형의 답변을 표현하기 위해 정의된 열거형","enum":["PARAGRAPH","TABLE","IMAGE"],"title":"AnswerType","type":"string"},"RetrievalHighlightRequest":{"properties":{"kbId":{"minLength":1,"title":"Kbid","type":"string"},"pageNo":{"minimum":1,"title":"Pageno","type":"integer"},"subTextIndex":{"default":1,"minimum":0,"title":"Subtextindex","type":"integer"},"passageText":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Passagetext"}},"required":["kbId","pageNo"],"title":"RetrievalHighlightRequest","type":"object"}}},"paths":{"/webapi/v2/retrieval/highlight":{"post":{"operationId":"django_server_rag_views_rest_retrieval_v2_api_retrieval_highlight","summary":"Highlight Retrieval Result","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HighlightResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"Return highlight bboxes for a single Retrieval result resolved straight from the retrieved page chunk (kbId + pageNo + subTextIndex), without a generative-answer clue id.","tags":["RAG"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievalHighlightRequest"}}},"required":true}}}}}
```

## RARE 상태

> 프로젝트의 RARE 빌드/생성 상태를 조회합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"RareStatusResponse":{"properties":{"build_status":{"title":"Build Status","type":"string"},"job_status":{"title":"Job Status","type":"string"},"job_type":{"title":"Job Type","type":"string"},"build_run_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Build Run Id"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"build_progress":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Build Progress"},"generate_progress":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Generate Progress"},"build_stats":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Build Stats"},"generate_stats":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Generate Stats"},"folder_ids":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Folder Ids"},"default_model":{"default":"","title":"Default Model","type":"string"},"generation_model":{"default":"","title":"Generation Model","type":"string"}},"required":["build_status","job_status","job_type"],"title":"RareStatusResponse","type":"object"}}},"paths":{"/webapi/v2/rare/status":{"get":{"operationId":"django_server_rag_views_rest_rare_api_rare_status","summary":"RARE 상태","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareStatusResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"프로젝트의 RARE 빌드/생성 상태를 조회합니다.","tags":["RAG"]}}}}
```

## RARE 빌드

> RARE 빌드 작업을 시작합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"RareJobResponse":{"properties":{"message":{"title":"Message","type":"string"},"task_id":{"title":"Task Id","type":"string"}},"required":["message","task_id"],"title":"RareJobResponse","type":"object"},"RareBuildRequest":{"properties":{"language":{"default":"Korean","title":"Language","type":"string"},"default_model":{"default":"gpt54_nano","title":"Default Model","type":"string"},"similarity_threshold":{"default":0.5,"title":"Similarity Threshold","type":"number"},"top_k_per_chunk":{"default":1,"title":"Top K Per Chunk","type":"integer"},"max_similar_items":{"default":256,"title":"Max Similar Items","type":"integer"},"max_workers":{"default":100,"title":"Max Workers","type":"integer"},"folder_ids":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Folder Ids"}},"title":"RareBuildRequest","type":"object"}}},"paths":{"/webapi/v2/rare/build":{"post":{"operationId":"django_server_rag_views_rest_rare_api_rare_build","summary":"RARE 빌드","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareJobResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"RARE 빌드 작업을 시작합니다.","tags":["RAG"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareBuildRequest"}}},"required":true}}}}}
```

## RARE 생성

> RARE 생성 작업을 시작합니다. 빌드가 먼저 완료되어 있어야 합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"RareJobResponse":{"properties":{"message":{"title":"Message","type":"string"},"task_id":{"title":"Task Id","type":"string"}},"required":["message","task_id"],"title":"RareJobResponse","type":"object"},"RareGenerateRequest":{"properties":{"num_samples":{"default":10,"title":"Num Samples","type":"integer"},"input_pool_size":{"default":50,"title":"Input Pool Size","type":"integer"},"num_questions":{"default":10,"title":"Num Questions","type":"integer"},"num_information":{"default":2,"title":"Num Information","type":"integer"},"language":{"default":"Korean","title":"Language","type":"string"},"default_model":{"default":"gpt54_nano","title":"Default Model","type":"string"},"generation_model":{"default":"gpt54","title":"Generation Model","type":"string"},"rare_user_prompt":{"default":"","title":"Rare User Prompt","type":"string"}},"title":"RareGenerateRequest","type":"object"}}},"paths":{"/webapi/v2/rare/generate":{"post":{"operationId":"django_server_rag_views_rest_rare_api_rare_generate","summary":"RARE 생성","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareJobResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"RARE 생성 작업을 시작합니다. 빌드가 먼저 완료되어 있어야 합니다.","tags":["RAG"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareGenerateRequest"}}},"required":true}}}}}
```

## RARE 취소

> 실행 중인 RARE 작업에 협력적 취소를 요청합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"RareJobResponse":{"properties":{"message":{"title":"Message","type":"string"},"task_id":{"title":"Task Id","type":"string"}},"required":["message","task_id"],"title":"RareJobResponse","type":"object"}}},"paths":{"/webapi/v2/rare/cancel":{"post":{"operationId":"django_server_rag_views_rest_rare_api_rare_cancel","summary":"RARE 취소","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareJobResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"실행 중인 RARE 작업에 협력적 취소를 요청합니다.","tags":["RAG"]}}}}
```

## RARE 결과 목록

> 프로젝트의 최근 RARE 생성 결과를 조회합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}},"schemas":{"RareResultsResponse":{"properties":{"results":{"items":{"$ref":"#/components/schemas/RareResultItem"},"title":"Results","type":"array"}},"required":["results"],"title":"RareResultsResponse","type":"object"},"RareResultItem":{"properties":{"id":{"title":"Id","type":"string"},"created_at":{"title":"Created At","type":"string"},"n_samples":{"title":"N Samples","type":"integer"},"rare_config":{"title":"Rare Config","type":"string"},"result_file_url":{"title":"Result File Url","type":"string"}},"required":["id","created_at","n_samples","rare_config","result_file_url"],"title":"RareResultItem","type":"object"}}},"paths":{"/webapi/v2/rare/results":{"get":{"operationId":"django_server_rag_views_rest_rare_api_rare_results","summary":"RARE 결과 목록","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RareResultsResponse"}}}},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"프로젝트의 최근 RARE 생성 결과를 조회합니다.","tags":["RAG"]}}}}
```

## RARE 결과 삭제

> ID로 RARE 생성 결과를 삭제합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/rare/results/{result_id}":{"delete":{"operationId":"django_server_rag_views_rest_rare_api_rare_delete_result","summary":"RARE 결과 삭제","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"result_id","schema":{"title":"Result Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"ID로 RARE 생성 결과를 삭제합니다.","tags":["RAG"]}}}}
```

## RARE CSV

> 스토리지의 RARE CSV 파일을 프록시합니다. 헤더와 행을 포함한 JSON을 반환합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/rare/csv":{"get":{"operationId":"django_server_rag_views_rest_rare_api_rare_csv","summary":"RARE CSV","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"path","schema":{"default":"","title":"Path","type":"string"},"required":false}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"스토리지의 RARE CSV 파일을 프록시합니다. 헤더와 행을 포함한 JSON을 반환합니다.","tags":["RAG"]}}}}
```

## 대량 처리 실행

> 대량 처리(GA 또는 RAG)를 시작합니다.\
> \
> 인자:\
> &#x20;   file: question, model, search\_type 컬럼을 포함하는 CSV 파일.\
> &#x20;         선택 항목: target\_answer, target\_clue, hashtag, folder.\
> &#x20;   bulk\_type: "ga"(기본값) 또는 "rag"

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/bulk_processing/run":{"post":{"operationId":"django_server_rag_views_rest_bulk_processing_api_run_bulk","summary":"대량 처리 실행","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"bulk_type","schema":{"default":"ga","enum":["ga","rag"],"title":"Bulk Type","type":"string"},"required":false}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대량 처리(GA 또는 RAG)를 시작합니다.\n\n인자:\n    file: question, model, search_type 컬럼을 포함하는 CSV 파일.\n          선택 항목: target_answer, target_clue, hashtag, folder.\n    bulk_type: \"ga\"(기본값) 또는 \"rag\"","tags":["RAG"],"requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"file":{"format":"binary","title":"File","type":"string"}},"required":["file"],"title":"FileParams","type":"object"}}},"required":true}}}}}
```

## 결과 목록

> 대량 처리 결과 목록을 조회합니다(GA + RAG 통합, 페이지네이션).

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/bulk_processing/results":{"get":{"operationId":"django_server_rag_views_rest_bulk_processing_api_list_results","summary":"결과 목록","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"page","schema":{"default":1,"title":"Page","type":"integer"},"required":false}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대량 처리 결과 목록을 조회합니다(GA + RAG 통합, 페이지네이션).","tags":["RAG"]}}}}
```

## 결과 다운로드

> 대량 처리 결과 CSV를 다운로드합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/bulk_processing/download":{"get":{"operationId":"django_server_rag_views_rest_bulk_processing_api_download_result","summary":"결과 다운로드","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"query","name":"file_url","schema":{"title":"File Url","type":"string"},"required":true}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"대량 처리 결과 CSV를 다운로드합니다.","tags":["RAG"]}}}}
```

## 결과 삭제

> ID로 대량 처리 결과(GA 또는 RAG)를 삭제합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/v2/bulk_processing/results/{result_id}":{"delete":{"operationId":"django_server_rag_views_rest_bulk_processing_api_delete_result","summary":"결과 삭제","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"in":"path","name":"result_id","schema":{"title":"Result Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid request parameters."},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"Internal server error."}},"description":"ID로 대량 처리 결과(GA 또는 RAG)를 삭제합니다.","tags":["RAG"]}}}}
```

## 생성 답변 API

> 생성적 답변 API는 비정형 텍스트 문서, Q\&A, 심지어 복잡한 표에서도 답을 찾습니다. 여러 출처에서 정보를 종합하여 유저 쿼리에 대한 포괄적인 답변을 제공합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/generative_answer":{"post":{"tags":["RAG"],"operationId":"getGenerativeAnswer","summary":"생성 답변 API","description":"생성적 답변 API는 비정형 텍스트 문서, Q&A, 심지어 복잡한 표에서도 답을 찾습니다. 여러 출처에서 정보를 종합하여 유저 쿼리에 대한 포괄적인 답변을 제공합니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"query":{"type":"string","required":true,"description":"쿼리 문자열입니다."},"model":{"type":"string","description":"답변을 생성할 때 선택한 LLM을 활용하십시오. 기본 모델은 GPT4o입니다. 사용 가능한 옵션은 문서를 True로 변경하십시오."},"answerFormat":{"type":"string","description":"답변의 형식을 결정하여 통합을 용이하게 만듭니다. 허용 가능한 값은 DRAFTJS 및 MARKDOWN입니다. 기본 형식은 DRAFTJS입니다."},"isStateful":{"type":"boolean","description":"후속 질문을 사용하기 위해서는 이전 대화 역사가 필요합니다. 대화 역사는 threadId로 관리됩니다. isStateful 옵션을 True로 설정하고 threadId를 입력하면 이전 대화 역사를 True고하여 쿼리가 다시 작성됩니다. 기본값 = False."},"threadId":{"type":"string","format":"uuid","description":"threadId는 isStateful = True일 때 사용됩니다. 처음 대화를 시작할 때는 비워서 보내고, 그 다음 질의부터는 출력에서 threadId를 사용하여 보냅니다. 그러나 처음부터 threadId를 설정하려면 UUID로 작성하여 보내십시오. 예시 UUID - 36e7bb2b-1063-47ec-. 기본값 = None."},"promptGroupId":{"type":"string","description":"프로젝트에서 답변 생성에 사용할 그룹 프롬프트를 선택해 주세요. ID는 설정 페이지 내에서 그룹 프롬프트를 볼 때 URL에 위치해 있습니다. 이는 특정 작업을 위해 수정된 여러 다른 그룹 프롬프트가 있는 프로젝트에 매우 유용한 옵션입니다."},"mode":{"type":"string","description":"데이터를 스트림 또는 동기식으로 출력할지 여부. 현재 사용 가능한 값: sync 또는 stream (기본값=sync). 스트림 모드에서는 .json 문자열이 동기식과 동일한 출력 형식으로 스트리밍으로 출력됩니다."},"clueText":{"type":"boolean","description":"단서를 사용하여 단서로 사용된 문서의 텍스트를 포함할지 여부. 기본값 = False. 단서가 활성화된 경우에만 작동합니다."},"clues":{"type":"boolean","description":"출력에 생성 답변을 만드는 데 사용될 단서를 포함할지 여부. 기본값 = False."},"includeCitations":{"type":"boolean","description":"Whether to include detailed citation information in the response. Citations provide structured references to source documents used in generating the answer. Default = False.\n"},"hashtags":{"type":"object","description":"이 기능을 활용하여 문서나 Q&A에서 해시태그를 통해 검색 범위를 지정하십시오. 특정 해시태그를 포함하거나 제외할 수 있으며, 선택한 해시태그에 대해 '그리고' 또는 '또는' 옵션을 제공할 수 있습니다.","properties":{"qnaInclude":{"type":"array","items":{"type":"string"},"description":"FAQ hashtags to include in the search"},"qnaIncludeOption":{"type":"string","enum":["and","or"],"default":"or","description":"Operator for FAQ include hashtags (and/or)"},"qnaExclude":{"type":"array","items":{"type":"string"},"description":"FAQ hashtags to exclude from the search"},"qnaExcludeOption":{"type":"string","enum":["and","or"],"default":"or","description":"Operator for FAQ exclude hashtags (and/or)"},"docsInclude":{"type":"array","items":{"type":"string"},"description":"Document hashtags to include in the search"},"docsIncludeOption":{"type":"string","enum":["and","or"],"default":"or","description":"Operator for document include hashtags (and/or)"},"docsExclude":{"type":"array","items":{"type":"string"},"description":"Document hashtags to exclude from the search"},"docsExcludeOption":{"type":"string","enum":["and","or"],"default":"or","description":"Operator for document exclude hashtags (and/or)"}}},"search_from":{"type":"array","items":{"type":"string"},"description":"생성적 답변이 데이터를 찾기 위한 원본 데이터의 범위를 지정합니다. 현재 사용 가능한 값은 다음과 같습니다: 웹, 질의답변, 문서이며, 목록 형식으로 데이터를 입력합니다. 예를 들어 -> [\"웹\", \"질의답변\"]"},"temperature":{"type":"number","description":"출력의 무작위성을 제어합니다. 값이 클수록 출력이 더 무작위가 됩니다. 기본값 = 0."},"source":{"type":"object","description":"Source configuration for knowledge bases and folders. This is the preferred way to specify search scope. Use this instead of the legacy knowledgeBaseIds/folderIds parameters.\n","properties":{"sharedKnowledgeBaseNodeIds":{"type":"array","items":{"type":"string"},"description":"List of shared knowledge base or folder node IDs (global IDs) to search. Use empty array [] to search all shared documents. Use null to exclude shared documents from search.\n"},"personalKnowledgeBaseNodeIds":{"type":"array","items":{"type":"string"},"description":"List of personal knowledge base or folder node IDs (global IDs) to search. Use empty array [] to search all personal documents. Use null to exclude personal documents from search.\n"},"webSites":{"type":"array","items":{"type":"string"},"description":"List of web sites to search."}}},"knowledgeBaseIds":{"type":"array","items":{"type":"string"},"description":"검색을 특정 지식베이스 ID로 제한합니다."},"folderIds":{"type":"array","items":{"type":"string"},"description":"검색을 특정 폴더 ID로 제한합니다."}}}}}},"responses":{"200":{"description":"성공적으로 생성된 답변","content":{"application/json":{"schema":{"type":"object","properties":{"answer":{"type":"object","description":"대시보드에 업로드된 문서에서 추출된 답변으로, answerFormat 매개변수에 따라 형식화되었습니다."},"answerHash":{"type":"string","description":"이는 피드백을 제공하거나 취소하기 위한 답변을 식별하는 데 사용됩니다."},"confidence":{"type":"number","description":"AI 모델의 신뢰도를 보여줍니다. 0과 1 사이의 숫자 값으로 표시됩니다."},"effectiveConfidence":{"type":"number","description":"쿼리 결과에 대한 피드백을 제공하면 AI 모델이 자동으로 학습합니다. 효과적인 신뢰도는 이러한 유저 및 에이전트의 피드백으로 조정된 점수입니다. 0과 1 사이의 숫자 값으로 표시됩니다."},"documentId":{"type":"string","description":"답변이 추출된 문서의 ID입니다."},"documentName":{"type":"string","description":"답변이 추출된 문서의 이름."},"hashtags":{"type":"array","description":"문서에 첨부된 해시태그."},"pageNo":{"type":"integer","description":"답이 도출된 문서의 페이지 번호."},"createdDate":{"type":"string","format":"date","description":"문서가 업로드된 날짜."},"agentFeedback":{"type":"object","description":"이 문서에 대한 에이전트의 피드백(대시보드 및 REST 호출을 통해)."},"userFeedback":{"type":"object","description":"이 문서에 대한 유저들의 피드백."},"body":{"type":"string","description":"요청에서 returnPreview가 true이면, 문서 검색 미리보기의 html 본문이 표시됩니다."},"css":{"type":"string","description":"요청에서 returnPreview가 true이면 문서 검색 미리보기의 CSS가 표시됩니다."},"pdfPreview":{"type":"string","description":"요청에서 returnPdfPreview가 true인 경우, 답변이 강조된 문서의 PDF 미리보기를 위한 URL이 표시됩니다. URL은 다운로드 IP 허용 목록 설정을 사용하여 제한될 수 있음을 유의하십시오."},"folder":{"type":"string","description":"답이 Documents 데이터베이스 아래 폴더에서 발견되면, 폴더 이름이 여기에 반환됩니다."},"editor":{"type":"array","items":{"type":"string"},"description":"문서에 편집자 접근 권한이 있는 에이전트의 이메일 목록 (Alli 대시보드에 설정되어 있는 경우)."},"viewer":{"type":"array","items":{"type":"string"},"description":"Alli 대시보드에 설정된 경우, 문서에 뷰어 액세스 권한이 있는 에이전트의 이메일 목록."},"threadId":{"type":"string","description":"isStateful이 true일 때 후속 질문에 사용할 수 있는 UUID."},"fuQuestion":{"type":"string","description":"isStateful이 true일 때 유저를 위한 권장 후속 질문."},"intent":{"type":"string","description":"쿼리의 감지된 의도."},"clues":{"type":"array","description":"요청에 단서가 True인 경우, 답변을 생성하는 데 사용된 소스가 여기에 반환됩니다."},"citations":{"type":"array","items":{"type":"object","properties":{"index":{"type":"integer","description":"Citation number referenced in the answer text as [1], [2], etc."},"clueId":{"type":"string","description":"Unique identifier for the source clue"},"source":{"type":"string","description":"Type of source (DOCUMENT, FAQ, WEB)"},"title":{"type":"string","description":"Title of the source document or FAQ"},"pageNo":{"type":"integer","description":"Page number in the source document"},"knowledgeBaseId":{"type":"string","description":"ID of the knowledge base document"},"faqId":{"type":"string","description":"ID of the FAQ entry"},"url":{"type":"string","description":"URL of web source"},"text":{"type":"string","description":"Excerpt of the source text (limited to 500 characters)"}}},"description":"If includeCitations is true in the request, structured citation information is returned here. Each citation corresponds to a [number] reference in the answer text.\n"}}}}}},"400":{"description":"잘못된 요청","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string","description":"오류 메시지"}}}}}},"401":{"description":"무단의","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string","description":"오류 메시지"}}}}}},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"429":{"description":"속도 제한 초과","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string","description":"rate limit 초과"}}}}}},"500":{"description":"Internal server error."}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Alli Retrieval API

> Retrieval API는 Alli에 업로드된 문서에서 질문과 관련된 상위 N개의 페이지 정보를 얻을 수 있습니다. 이 API는 키워드 검색과 시맨틱 검색을 결합하여 쿼리와 가장 관련 있는 문서 페이지를 제공합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"RAG","description":"Knowledge base node related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"},{"url":"https://backend-ja.alli.ai","description":"JA"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/retrieval":{"post":{"tags":["RAG"],"operationId":"retrievalPost","summary":"Alli Retrieval API","description":"Retrieval API는 Alli에 업로드된 문서에서 질문과 관련된 상위 N개의 페이지 정보를 얻을 수 있습니다. 이 API는 키워드 검색과 시맨틱 검색을 결합하여 쿼리와 가장 관련 있는 문서 페이지를 제공합니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"question":{"type":"string","description":"문서 기반에서 검색할 질문","required":true},"maxDocumentClues":{"type":"integer","description":"검색할 관련 페이지의 수를 결정합니다. 기본값은 3입니다."},"bm25_score_weight":{"type":"number","format":"float","description":"키워드 검색을 위한 가중치입니다. 이 값이 높을수록 키워드 점수가 더 많이 반영됩니다. 값은 0-9 사이가 적절하며, 0의 값은 키워드 검색을 사용하지 않음을 의미합니다. 기본값은 9입니다."},"text_vector_score_weight":{"type":"number","format":"float","description":"문서 콘텐츠의 의미 검색에 대한 가중치입니다. 이 값이 높을수록 더 많이 반영됩니다. 0-9 사이의 값이 적절하며, 0의 값은 문서 콘텐츠의 의미 검색이 사용되지 않음을 의미합니다. 기본 값은 1입니다."},"title_vector_score_weight":{"type":"number","format":"float","description":"문서 제목에 대한 의미 검색의 가중치입니다. 마찬가지로, 0-9 사이의 값이 적절하며, 값이 0이면 문서 제목에 대한 의미 검색이 사용되지 않음을 의미합니다. 기본값은 0입니다."},"hashtags":{"type":"array","items":{"type":"string"},"description":"결과를 필터링하여 이 해시태그가 포함된 문서만 포함합니다."},"hashtags_operator":{"type":"string","enum":["and","or"],"description":"해시태그에 대한 논리 연산자(기본값은 \"or\")"},"exclude_hashtags":{"type":"array","items":{"type":"string"},"description":"이 해시태그가 포함된 문서를 제외하도록 결과 필터링"},"exclude_hashtags_operator":{"type":"string","enum":["and","or"],"description":"제외_해시태그에 대한 논리 연산자(기본값은 \"or\")"},"targetFolders":{"type":"array","items":{"type":"string"},"description":"검색할 폴더 이름"},"folderIds":{"type":"array","items":{"type":"string"},"description":"검색할 폴더의 ID"},"knowledgeBaseIds":{"type":"array","items":{"type":"string"},"description":"검색할 특정 지식베이스의 ID"},"use_keywords":{"type":"boolean","description":"검색을 위해 키워드를 추출하고 사용할지 여부"},"use_clue_feedback":{"type":"boolean","description":"피드백 데이터를 사용하여 검색 결과를 개선할지 여부"},"use_reranker":{"type":"boolean","description":"Overrides the project's cognitive_config.use_reranker for this request. When omitted, the project config value is used.\n"},"reranker_candidates_num":{"type":"integer","description":"Overrides the number of candidate pages passed to the reranker. Only effective when reranking is enabled. Defaults to 16 when omitted.\n"},"reranker_max_tokens":{"type":"integer","description":"Overrides the maximum token length per candidate sent to the reranker. Only effective when reranking is enabled. Defaults to 1024 when omitted.\n"}}}}}},"responses":{"200":{"description":"결과를 성공적으로 검색했습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"type":"object","properties":{"ranking":{"type":"integer","description":"질문과 관련된 페이지의 순위"},"title":{"type":"string","description":"질문과 관련된 문서의 제목"},"text":{"type":"string","description":"질문과 관련된 페이지의 내용"},"pageNo":{"type":"integer","description":"페이지 번호"},"kb_id":{"type":"string","description":"지식베이스 문서의 ID"}}}}}}}}},"400":{"description":"유효하지 않은 매개변수","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string"}}}}}},"401":{"description":"Authentication failed. The API-KEY header is missing or invalid."},"403":{"description":"Access denied. The project is inactive or the request IP is not allowed."},"500":{"description":"내부 서버 오류","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.allganize.ai/api-reference/korean/rag.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
